Bug 1570269 - Document "ignore_ganesha_errors" option in Gdeploy sample conf file for Nfs-ganesha cluster creation
Summary: Document "ignore_ganesha_errors" option in Gdeploy sample conf file for Nfs-g...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: Documentation
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Chandrakanth Pai
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On:
Blocks: 1503142
TreeView+ depends on / blocked
 
Reported: 2018-04-21 12:12 UTC by Manisha Saini
Modified: 2018-09-10 15:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-10 15:47:20 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Manisha Saini 2018-04-21 12:12:47 UTC
Document URL: 

http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.3-Administration_Guide-branch-master/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#nfs_ganesha

Section Number and Name: 

-> 5.1.8. Deploying NFS Ganesha using gdeploy
     ->5.1.8.2. Supported Actions
         ->Creating a Cluster 
             -> For example: To create a NFS-Ganesha cluster add the following details in the configuration file: 


Describe the issue: 

Wrt BZ-https://bugzilla.redhat.com/show_bug.cgi?id=1563923 
Now while setting up ganesha cluster via gdeploy,If any step fails in between,Gdeploy will halt and will not proceed further with cluster creation 

To handle this, "ignore_ganesha_errors" parameter is introduced, which needs to be document in admin guide.


Suggestions for improvement: 

--------------

#Creating a high availability cluster and exporting the volume
[nfs-ganesha]
action=create-cluster
ha-name=ganesha-ha-360
cluster-nodes=host-1.example.com,host-2.example.com
vip=10.70.44.121,10.70.44.122
volname=ganesha
ignore_ganesha_errors=no

--------------

Additional information:

Comment 2 Chandrakanth Pai 2018-08-17 09:58:19 UTC
Documented ignore_ganesha_errors option in Gdeploy sample conf file for Nfs-ganesha cluster creation. Changes can be seen in the Creating Cluster section of the Admin Guide.

Link to verify: https://doc-stage.usersys.redhat.com/documentation/en-us/red_hat_gluster_storage/3.4/html-single/administration_guide/

Comment 3 Manisha Saini 2018-08-30 12:44:37 UTC
Changes looks good to me.Moving this BZ to verified state.


Note You need to log in before you can comment on or make changes to this bug.